Skip to content
First requestVisit website ↗
Navigation

Get appointment bookings (Admin)

Retrieve list of appointment bookings with optional filtering. Requires admin authentication.

GET
https://api.channelautomation.com/api/calendar/bookings

Authorization

  • BearerAuth
    optional
    HTTP Bearer (JWT)
  • ApiKeyAuth
    optional
    API key in header

Query parameters

  • workspace_id
    optional
    string

    Filter by workspace ID

  • contact_id
    optional
    string

    Filter by specific contact ID

  • admin_id
    optional
    string

    Filter by admin/agent ID

  • date
    optional
    string

    Filter by specific date (YYYY-MM-DD format)

    format: date

Returns

200

Bookings retrieved successfully

JSON
  • success
    optional
    boolean
  • bookings
    optional
    array of
    object
    • id
      optional
      string

      Unique appointment identifier

    • contact_id
      optional
      string

      Associated contact ID

    • workspace_id
      optional
      string

      Workspace ID

    • created_by
      optional
      string

      ID of user who created the appointment

    • title
      optional
      string

      Appointment title

    • description
      optional
      string

      Appointment description

    • appointment_date
      optional
      string

      Date and time of the appointment

      format: date-time
    • duration_minutes
      optional
      integer

      Duration of the appointment in minutes

    • location
      optional
      string

      Location of the appointment

    • created_at
      optional
      string

      When the appointment was created

      format: date-time
    • updated_at
      optional
      string

      When the appointment was last updated

      format: date-time

401

Authentication required
JSON
  • error
    optional
    string
  • success
    optional
    boolean

403

Admin privileges required
JSON
  • error
    optional
    string
  • success
    optional
    boolean

500

Internal server error
JSON
  • error
    optional
    string
  • details
    optional
    string
  • success
    optional
    boolean

Type to search…

↑↓ navigate↵ selectEsc close